package teikade.gui;

import teikade.sys.*;

class UsersFrame extends GrepFrame {

    static void openOn(CodePath cp, String pattern, String title) throws TeikadeException {
	UsersFrame frame = new UsersFrame( cp, pattern, title );
	frame.open();
	frame.start();
    }

    UsersFrame(CodePath cp, String pattern, String title) throws TeikadeException {
	super( cp, pattern, title );
	showPattern( false );
    }

    protected void initialize(CodePath cp, String pattern, String title)
    throws TeikadeException {
	//super.initialize(cp.projectCodePath(), pattern, title);
	super.initialize(cp.nullCodePath, pattern, title);
	super.showPattern(false);
    }
}
