/*
 * Copyright (c) 1995 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;
import teikade.sys.TeikadeProperties;
import teikade.sys.UseProperties;

public class DMenuBar extends MenuBar implements UseProperties {

    public DMenuBar() {
	super();
	updateProperties();
    }

    public void updateProperties() {
	Font font = TeikadeProperties.getFont("font.menu");
	if (font != null && !font.equals(getFont())) {
	    setFont(font);
	}
    }
}
