/*
 * Copyright (c) 1996 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.editor;

public interface EditDataViewer {

    public void setText(String text);

    public void insertText(String text, int pos);

    public void replaceText(String text, int start, int end);

    public void setEditable(boolean editable);

    public void select(int start, int end);

    public int displayLines();

    public String getText();

    public String getSelectedText();

    public int getSelectionStart();

    public int getSelectionEnd();

    public boolean isEditable();

    public void requestFocus();
}
